Skip to main content

Get a Project's file/filesystem authorization token

GET/v2/projects/{projectId}/jwt
API version
v2
Request method
GET
Operation ID
project-file-system-get-jwt

Request​

  • projectIdstringrequired

    ID of the Project to retrieve an authorization token for.

Responses​

Format
application/json
Description

OK

  • jwtstringrequired
Content-Type: application/json

{
"jwt": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkFkYSBMb3ZlbGFjZSIsImlhdCI6MTUxNjIzOTAyMn0.sMjBP_p34T5mbJTVdEWQ8i2hQPVxsmlt8L6-rKpCczo"
}
{
"properties": {
"jwt": {
"example": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkFkYSBMb3ZlbGFjZSIsImlhdCI6MTUxNjIzOTAyMn0.sMjBP_p34T5mbJTVdEWQ8i2hQPVxsmlt8L6-rKpCczo",
"type": "string"
}
},
"required": [
"jwt"
],
"type": "object"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/jwt
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.projectFileSystem.projectFileSystemGetJwt({
"projectId": "string"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\ProjectFileSystem\ProjectFileSystemGetJwt\ProjectFileSystemGetJwtRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ProjectFileSystemGetJwtRequest(
projectId: "string"
));
$response = $client->projectFileSystem()->projectFileSystemGetJwt($request);

var_dump($response->getBody();

On this page